 

import bluej.extensions.*;
import javax.swing.JTextField;

/**
 * Clase GetterSetterTextField.
 * 
 * @author (Milton Jes&uacute;s Vera Contreras - miltonjesusvc@ufps.edu.co) 
 * @version 0.0000000000000001 --> Math.sin(Math.PI-Double.MIN_VALUE) --> :)
 */
public class GetterSetterTextField extends JTextField
{
  /**The Introspector for invoque BMethod*/
  private GetterSetterIntrospector gsi;
  
  /**The propertie*/
  private String propertie;
  
  public GetterSetterTextField(GetterSetterIntrospector gsi, String propertie)
  {
    this.gsi= gsi;
    this.propertie = propertie;
  }//end constructor
  
  /**Validate data*/
  public boolean validateData()
  {
    return gsi.invokeSetter(this.propertie, this.getText());
  }//end validate
  
  public void updateData()
  {
     this.setText(gsi.invokeGetter(this.propertie));
  }//end updateData
  
  public String getPropertie(){return this.propertie;} 
  
}//fin class GetterSetterTextField