 

import java.awt.FlowLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JProgressBar;
import javax.swing.Timer;
import javax.swing.BorderFactory;
import java.awt.Cursor;
import java.awt.Toolkit;

/**
 * 
 * @author (Milton Jes&uacute;s Vera Contreras - miltonjesusvc@ufps.edu.co) 
 * @version 0.0000000000000001 --> Math.sin(Math.PI-Double.MIN_VALUE) --> :)
 */
public class ProgressInvoker extends JFrame
{
    public final static int ONE_SECOND = 1000;

    private JProgressBar progressBar;
    private Timer timer;
    
    public ProgressInvoker(final GetterSetterFrameObject gsfo, final Thread invoker) {
        super("Progress Invoker Getter/Setter");

        progressBar = new JProgressBar();
        progressBar.setString("");
        progressBar.setStringPainted(true);

        setLayout(new FlowLayout());
        add(new JLabel("Wait Invoker Getter/Setter"));
        add(progressBar);
        progressBar.setBorder(BorderFactory.createEmptyBorder(20, 20, 20, 20));

        //Create a timer.
        timer = new Timer(ONE_SECOND, new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                progressBar.setIndeterminate(true);
                progressBar.setString("");
                if (!invoker.isAlive()) {
                    timer.stop();
                    setCursor(null);
                    dispose();
                    gsfo.setVisible(true);
                }
            }
        });
        
       setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
       progressBar.setIndeterminate(true);
       gsfo.setVisible(false);
       pack();
       setResizable(false);
       setAlwaysOnTop(true);
       setVisible(true);
       this.setLocation((int)(Toolkit.getDefaultToolkit().getScreenSize().getWidth()/2 - this.getWidth()/2),(int)(Toolkit.getDefaultToolkit().getScreenSize().getHeight()/2 - this.getHeight()/2));
       invoker.start();
       timer.start();
    }//end constructor

}//end ProgressInvoker
